SWFMovie::remove
SWFMovie::saveToFile
SWFMovie
PHP Manual

# SWFMovie::save

Saves the SWF movie in a file

### Description

int SWFMovie::save ( string `$filename` [, int `$compression` = -1 ] )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Saves the SWF movie to the specified `filename`.

### Parameters

`filename`

  The path to the saved SWF document.

`compression`

  The compression level can be a value between 0 and 9, defining the SWF compression similar to gzip compression.

  This parameter is only available as of Flash MX (6).

### Return Values

Return the number of bytes written or `FALSE` on error.

### See Also

- SWFMovie::output
- SWFMovie::saveToFile